Bug 102411 - exec functions fails in lsb-runtime-test
exec functions fails in lsb-runtime-test
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
ftp://ftp.freestandards.org/pub/lsb/t...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-14 17:29 EDT by Erik Nguyen
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erik Nguyen 2003-08-14 17:29:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3.1) Gecko/20030425

Description of problem:
Many exec tests in the POSIX section of the lsb-runtime-test failed

This bug is seen on both the latest of Red Hat Linux 8 and 9 with all the latest
patches applied by up2date utility. 

On RH 8, kernel is 2.4.20-19.8, glibc-2.3.2-4.80.6, gcc-3.2-7
On RH 9, kernel is 2.4.20-19.9, glibc-2.3.2-27.9, gcc-3.2.2-5

Products used to identify the failures: lsb-runtime-test-1.2.3-1,
lsb-runtime-test-1.3.3-1, lsb-runtime-test-1.3.6-3


Version-Release number of selected component (if applicable):
kernel 2.4.20-19.8

How reproducible:
Always

Steps to Reproduce:
1. download the lsb-runtime-test at
ftp://ftp.freestandards.org/pub/lsb/test_suites/released-1.3.0/binary/runtime/
2. install the rpm
3. login as user vsx0 
4. manually rerun the failed tests e.g., tcc -e -p -l
/tset/POSIX.os/procprim/exec/T.execl
5. open the newly created journal and browse to scenario 21, will see the error
message like:

00|0 21 1 14:12:39|IC Start
200|0 21 14:12:39|TP Start
520|0 21 00006971 4 1|file locks altered by exec:
520|0 21 00006971 4 2|Expected values: Type: 1 Start: 40 Length: 15 Process ID:
7022
520|0 21 00006971 4 3|Observed values: Type: 2 Start: 39 Length: 16 Process ID:
-1073744696
220|0 21 1 14:12:51|FAIL


    

Actual Results:  /tset/POSIX.os/procprim/exec/T.execl 21 FAIL
/tset/POSIX.os/procprim/exec/T.execle 21 FAIL
/tset/POSIX.os/procprim/exec/T.execlp 21 FAIL
/tset/POSIX.os/procprim/exec/T.execv 21 FAIL
/tset/POSIX.os/procprim/exec/T.execve 21 FAIL
/tset/POSIX.os/procprim/exec/T.execvp 21 FAIL
 

Expected Results:  All tests PASS

Additional info:

The same tests passed on RH Linux AS 2.1 (Pensacola) kernel 2.4.9-e.3,
glibc-2.2.4-32.3, gcc-2.96-118.7.2
Comment 1 Erik Nguyen 2003-08-20 17:09:17 EDT
Justification for upgrading the priority/severity of this bug: exec functions
are not conforming to POSIX standards
Comment 2 Bugzilla owner 2004-09-30 11:41:26 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.